Deployment API - Download BOSH tarballs of specific version

Downloads BOSH release tarballs of the specified version, OneAgent included. You can fetch the list of available versions with the GET available versions of BOSH tarballs call.

The OneAgent full-stack installer from a BOSH release tarball doesn't have environment information.

This request is an early adopter release and may be changed in non compatible way.

GET
  • Managed https://{your-domain}/e/{your-environment-id}/api/v1/deployment/boshrelease/agent/{osType}/version/{version}
  • SaaS https://{your-environment-id}.live.dynatrace.com/api/v1/deployment/boshrelease/agent/{osType}/version/{version}

Parameters

Parameter Type Description In Required
osType string

The operating system of the installer.

The osType element can hold these values.
path required
version string

The required version of the OneAgent in 1.155.275.20181112-084458 format.

You can retrieve the list of available versions with the GET /deployment/boshrelease/versions/{osType} call.

path required
skipMetadata boolean

Set true to omit the OneAgent connectivity information from the installer.

If not set, false is used.

query optional

Possible values

Possible values for the osType element:

  • windows
  • unix

Response codes

Code Description
200 Success. The payload contains the BOSH release tarball file.